PosixFilePermission (Java Platform SE 8 )
Keywords: java.nio.file.attribute.PosixFilePermission class
Date: 2015-11-19

compact1, compact2, compact3
java.nio.file.attribute

## Enum PosixFilePermission

- java.lang.Object
- - java.lang.Enum<PosixFilePermission>
  - - java.nio.file.attribute.PosixFilePermission

- All Implemented Interfaces:
    Serializable, Comparable<PosixFilePermission>

      public enum PosixFilePermission
      extends Enum<PosixFilePermission>

  Defines the bits for use with the `permissions` attribute.

  The `PosixFilePermissions` class defines methods for manipulating set of permissions.

  Since:
    1.7

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GROUP_EXECUTE` Execute/search permission, group.
    `GROUP_READ` Read permission, group.
    `GROUP_WRITE` Write permission, group.
    `OTHERS_EXECUTE` Execute/search permission, others.
    `OTHERS_READ` Read permission, others.
    `OTHERS_WRITE` Write permission, others.
    `OWNER_EXECUTE` Execute/search permission, owner.
    `OWNER_READ` Read permission, owner.
    `OWNER_WRITE` Write permission, owner.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PosixFilePermission` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PosixFilePermission[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OWNER_READ

          public static final PosixFilePermission OWNER_READ

      Read permission, owner.

    - #### OWNER_WRITE

          public static final PosixFilePermission OWNER_WRITE

      Write permission, owner.

    - #### OWNER_EXECUTE

          public static final PosixFilePermission OWNER_EXECUTE

      Execute/search permission, owner.

    - #### GROUP_READ

          public static final PosixFilePermission GROUP_READ

      Read permission, group.

    - #### GROUP_WRITE

          public static final PosixFilePermission GROUP_WRITE

      Write permission, group.

    - #### GROUP_EXECUTE

          public static final PosixFilePermission GROUP_EXECUTE

      Execute/search permission, group.

    - #### OTHERS_READ

          public static final PosixFilePermission OTHERS_READ

      Read permission, others.

    - #### OTHERS_WRITE

          public static final PosixFilePermission OTHERS_WRITE

      Write permission, others.

    - #### OTHERS_EXECUTE

          public static final PosixFilePermission OTHERS_EXECUTE

      Execute/search permission, others.

  - ### Method Detail

    - #### values

          public static PosixFilePermission[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PosixFilePermission c : PosixFilePermission.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PosixFilePermission valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.